> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# seedance-2.5-ext 動画生成

> seedance-2.5-ext モデルで動画を生成 — 参照画像・参照動画・参照音声に対応

<Note>
  **中国本土のユーザー向け：** 中国本土のユーザーは `https://toapis.cn` を API エンドポイント（Base URL）としてご利用ください。本ドキュメント内の例では `https://toapis.com` を `https://toapis.cn` に置き換えてください。
</Note>

`seedance-2.5-ext` は Seedance 2.5 ファミリーのプロモーションチャネルモデルで、テキストから動画生成とマルチモーダル参照生成をサポートします：

* テキストから動画、参照画像による生成
* 参照動画と参照音声の組み合わせ生成（動画編集・延長・最初/最後フレームモードは非対応）
* API は非同期タスクです：送信すると `generation.task` が返され、完了後に[動画タスクステータス API](../../tasks/video-status)で結果を取得します。

リクエスト内容に応じて最適なアップストリームへ自動ルーティングされます：画像のみまたはテキストのみの場合は低コストのアップストリームへ、参照動画・参照音声・11 枚以上の参照画像を含む場合はフル機能のアップストリームへ振り分けられます。

## 認証

<ParamField header="Authorization" type="string" required>
  Bearer Token で認証します：

  ```text theme={null}
  Authorization: Bearer YOUR_API_KEY
  ```
</ParamField>

## リクエストパラメータ

<ParamField body="model" type="string" default="seedance-2.5-ext" required>
  ToAPIs の公開モデル名。常に `seedance-2.5-ext` を指定してください。
</ParamField>

<ParamField body="prompt" type="string">
  シーン、カメラワーク、被写体の動き、スタイル、サウンドの雰囲気を記述します。素材を参照する場合は配列の順序に合わせて「画像1」「動画1」「音声1」などのタグを記述できます。
</ParamField>

<ParamField body="seconds" type="integer">
  出力動画の長さ（秒）。`10`–`30` の範囲。互換フィールド `duration` も使用できます。両方を同時に渡さないでください。

  <Warning>
    参照動画・参照音声・11 枚以上の参照画像を含むリクエストでは `15` 秒は利用できません。テキストのみ、または 10 枚以下の画像を含むリクエストは影響を受けません。
  </Warning>
</ParamField>

<ParamField body="size" type="string">
  出力アスペクト比。`16:9`、`9:16`、`4:3`、`3:4`、`1:1` をサポート。互換フィールド `aspect_ratio` も使用できます。
</ParamField>

<ParamField body="resolution" type="string" default="720p">
  出力解像度。`720p` 固定です。
</ParamField>

<ParamField body="reference_image" type="string">
  単一の参照画像の公開 URL。複数枚の場合は `reference_images` を使用してください。
</ParamField>

<ParamField body="reference_images" type="string[]">
  参照画像 URL の配列。最大 `30` 枚。`image_with_roles`（`role` は `reference_image`）で明示的に渡すこともできます。
</ParamField>

<ParamField body="video_with_roles" type="object[]">
  参照動画の配列。最大 `10` 本。各要素：

  * `url`：公開アクセス可能な動画 URL
  * `role`：`reference_video` 固定
</ParamField>

<ParamField body="audio_with_roles" type="object[]">
  参照音声の配列。最大 `10` 本。各要素：

  * `url`：公開アクセス可能な音声 URL
  * `role`：`reference_audio` 固定

  音声を単独で入力することはできません。リクエストには参照画像または参照動画を少なくとも 1 つ含める必要があります。
</ParamField>

<ParamField body="callback_url" type="string">
  ToAPIs のタスク完了コールバック URL。詳細は[タスク Webhook](/docs/ja/api-reference/webhooks/task-webhooks)を参照してください。
</ParamField>

<ParamField body="client_business_id" type="string">
  お客様側の注文番号または業務タスク ID。タスクと一緒に保存され、`GET /v1/videos/generations/{client_business_id}` でも照会できます。
</ParamField>

<ParamField body="trace_id" type="string">
  呼び出し側が定義するトレース ID。
</ParamField>

## 素材の組み合わせルール

| リクエスト内容 | 対応 | 備考 |
| - | -: | - |
| プロンプトのみ | はい | テキストから動画生成 |
| 参照画像 10 枚以下 | はい | 低コストアップストリーム |
| 参照画像 11–30 枚 | はい | 15 秒は非対応 |
| 参照動画 / 参照音声 | はい | 15 秒は非対応。音声は画像または動画との併用が必要 |
| 最初 / 最後フレーム | いいえ | フレームモード非対応 |
| 動画編集 / 延長 | いいえ | `seedance-2-5` をご利用ください |

## リクエスト例

### テキストから動画

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/videos/generations \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "seedance-2.5-ext",
    "prompt": "映画感のある製品クローズアップ、カメラがゆっくり寄る。自然な室内の環境音を保持。",
    "seconds": 10,
    "size": "16:9",
    "resolution": "720p"
  }'
```

### 参照画像から生成

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/videos/generations \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "seedance-2.5-ext",
    "prompt": "画像1の人物が雨の夜の街に歩き出す。カメラが追従。",
    "seconds": 12,
    "size": "9:16",
    "reference_images": [
      "https://example.com/character.png"
    ]
  }'
```

### 動画と音声の組み合わせ参照

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/videos/generations \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "seedance-2.5-ext",
    "prompt": "画像1の人物像、動画1のカメラワーク、音声1のリズムを使って動画を生成。",
    "seconds": 14,
    "size": "16:9",
    "reference_images": [
      "https://example.com/character.png"
    ],
    "video_with_roles": [
      {"url": "https://example.com/motion.mp4", "role": "reference_video"}
    ],
    "audio_with_roles": [
      {"url": "https://example.com/rhythm.mp3", "role": "reference_audio"}
    ]
  }'
```

## レスポンス

<ResponseField name="id" type="string">ステータス照会用のタスク ID。</ResponseField>
<ResponseField name="client_business_id" type="string">リクエストで指定した場合に返されます。</ResponseField>
<ResponseField name="object" type="string">常に `generation.task`。</ResponseField>
<ResponseField name="model" type="string">このリクエストで使用されたモデル名。</ResponseField>
<ResponseField name="status" type="string">`queued`、`in_progress`、`completed`、または `failed`。</ResponseField>
<ResponseField name="progress" type="integer">`0`–`100` のタスク進捗。</ResponseField>
<ResponseField name="created_at" type="integer">作成タイムスタンプ。</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "tsk_vid_xxx",
    "object": "generation.task",
    "model": "seedance-2.5-ext",
    "status": "in_progress",
    "progress": 10,
    "created_at": 1781577600
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.